
import { MIoTDevice } from './MIoTDevice'
import { SharedQueue } from './shared/queue'
import { SharedDevice } from './shared/device'
import { SharedFoundation } from './shared/foundation'
import { HAP, Logging } from 'homebridge'
import { Config } from './main'

function initMIoT ({
  log, hap, config
}: {
  log: Logging; hap: HAP; config?: Config
}) {
  SharedFoundation.log = log
  SharedFoundation.hap = hap
  Object.assign(SharedFoundation.config, config)
}

export { initMIoT, MIoTDevice, SharedQueue, SharedDevice, SharedFoundation }
